Foxit Reader using WINE in LMDE 64-bit

Questions about applications and software
Forum rules
Before you post please read this

Foxit Reader using WINE in LMDE 64-bit

Postby Ibex on Tue Dec 04, 2012 2:33 am

I installed to LMDE (64bit) successfully the recommended stable version 1.4.1 of WINE using the method advised by zerozero in viewtopic.php?f=190&t=111026 and also installed via Synaptic the package ia32-libs (version 20120102) with all its dependencies.

Consequently, I downloaded RadioSure (<http://www.radiosure.com/downloadz/downloadz-select/> ex Local mirror),
LingoPad (<http://www.ego4u.com/en/lingopad>),
WordWeb (<http://wordweb.info/free/>) and
Foxit Reader (<http://www.foxitsoftware.com/downloads/>)

WINE 1.4.1 installed RadioSure, LingoPad and WordWeb without any problems and are running flawlessly!

However I have an issue with Foxit Reader. The installation of Foxit seemed to be okay, Foxit icons are displayed in the Applications Menu and on the Desktop but when clicking onto icon(s) the 'start-up tab' "Starting Foxit Reader" will show in the panel but will disappear after a few seconds and Foxit won't launch.

But oddly enough Foxit Reader will launch when right-clicking on a PDF document 'Open With ==> Foxit Reader'.

Though I can live with this 'oddity' and may reinstall LMDE if I have to, I was wondering if some kind of misconfiguration has crept into my system and if so would be grateful if an expert here could provide a fix.
TIA.
Ibex
Level 1
Level 1
 
Posts: 15
Joined: Tue Oct 16, 2012 3:02 am

Linux Mint is funded by ads and donations.
 

Re: Foxit Reader using WINE in LMDE 64-bit

Postby seppalta on Tue Dec 04, 2012 3:51 am

Looking at the latest Wine HQ reports, it appears that later versions of Foxit Reader require later versions, like 1.5, of Wine:
http://appdb.winehq.org/objectManager.php?sClass=application&iId=4060 .
I cannot advice directly because I do not use Foxit. Here is a guide for installing Wine 1.5.5: http://lxlinux.com/debian.html.
seppalta
Level 4
Level 4
 
Posts: 390
Joined: Wed Jun 08, 2011 12:08 pm

Re: Foxit Reader using WINE in LMDE 64-bit

Postby Ibex on Tue Dec 04, 2012 11:40 pm

seppalta wrote:Looking at the latest Wine HQ reports, it appears that later versions of Foxit Reader require later versions, like 1.5, of Wine:
http://appdb.winehq.org/objectManager.php?sClass=application&iId=4060 .
I cannot advice directly because I do not use Foxit. Here is a guide for installing Wine 1.5.5: http://lxlinux.com/debian.html.


Yes, I've been there as well.
Since my other applications run on WINE 1.4.1 swimmingly I find it hard to swallow that a beta version would/could provide any improvements.
Moreover, my wife's laptop has an even older version of WINE installed to ZorinOS 64-bit and the same Foxit version runs as it should be running without any problems.
Anyway, thanks for your post. If nobody else can come up with a solution I just leave the situation as is and may re-install LMDE when the updated iso image is be available.
Ibex
Level 1
Level 1
 
Posts: 15
Joined: Tue Oct 16, 2012 3:02 am

Re: Foxit Reader using WINE in LMDE 64-bit

Postby Aalexeey on Sun Dec 23, 2012 4:45 am

Use Foxit Reader for Linux, FoxitReader_1.1.0_i386.deb.
Aalexeey
Level 1
Level 1
 
Posts: 24
Joined: Sat Jun 30, 2012 4:51 am

Re: Foxit Reader using WINE in LMDE 64-bit

Postby anmys on Mon Dec 24, 2012 9:10 am

Aalexeey wrote:Use Foxit Reader for Linux, FoxitReader_1.1.0_i386.deb.


The version looks quite dated. It is from 2009! Further, from their page for Linux version
At present Foxit Reader for Desktop Linux V1.1 doesn’t support a few features which are available on window versions, such as commenting tools, drawing markup tools, as well as typewriter.

So, we are missing the important thing: pdf annotation.

If reading pdf's is the main issue, evince/atril/xpdf should be sufficient.

Regards.
anmys
Level 1
Level 1
 
Posts: 44
Joined: Sat Feb 05, 2011 8:30 pm

Re: Foxit Reader using WINE in LMDE 64-bit

Postby hellou on Sat Dec 29, 2012 8:01 pm

Same problem here. Foxit reader cannot start within LM 14 64bit.
hellou
Level 1
Level 1
 
Posts: 6
Joined: Sat Dec 29, 2012 7:55 pm

Re: Foxit Reader using WINE in LMDE 64-bit

Postby zerozero on Sat Dec 29, 2012 9:10 pm

hellou wrote:Same problem here. Foxit reader cannot start within LM 14 64bit.

welcome to the mint forums :D
please open a topic regarding this issue here viewforum.php?f=47 as it's referring to different version of linuxmint.
tks :wink:
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6477
Joined: Tue Jul 07, 2009 2:29 pm

Linux Mint is funded by ads and donations.
 

Return to Software & Applications

Who is online

Users browsing this forum: No registered users and 3 guests